Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPSphereSource Class Reference

`#include <vtkPSphereSource.h>`

Inheritance diagram for vtkPSphereSource:

[legend]
Collaboration diagram for vtkPSphereSource:

[legend]
List of all members.

## Detailed Description

sphere source that supports pieces

Date:
  2002/08/12 15:20:30

Revision:
  1.9

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (83%)
  - Cedilnik, Andy (7%)
  - Henderson, Amy (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Parallel/vtkPSphereSource.cxx)`
  - .`h` (`/Parallel/vtkPSphereSource.h)`

Definition at line 40 of file vtkPSphereSource.h.

## [NOHEADER]
virtual void | PrintSelf (ostream &os, vtkIndent indent)
vtkPSphereSource * | New ()
## Public Types
typedef vtkSphereSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
unsigned long | GetEstimatedMemorySize ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPSphereSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPSphereSource ()
| ~vtkPSphereSource ()
void | Execute ()

## Member Typedef Documentation

typedef vtkSphereSource vtkPSphereSource::Superclass

| Reimplemented from vtkSphereSource. Definition at line 43 of file vtkPSphereSource.h.

## Constructor & Destructor Documentation

vtkPSphereSource::vtkPSphereSource | ( |  | ) | `[inline, protected]`

| Definition at line 57 of file vtkPSphereSource.h.

vtkPSphereSource::~vtkPSphereSource | ( |  | ) | `[inline, protected]`

| Definition at line 58 of file vtkPSphereSource.h.

## Member Function Documentation

virtual const char* vtkPSphereSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkSphereSource.

int vtkPSphereSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSphereSource.

virtual int vtkPSphereSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSphereSource.

vtkPSphereSource* vtkPSphereSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkSphereSource.

vtkPSphereSource* vtkPSphereSource::New | ( |  | ) | `[static]`

| Construct sphere with radius=0.5 and default resolution 8 in both Phi and Theta directions. Theta ranges from (0,360) and phi (0,180) degrees. Reimplemented from vtkSphereSource.

virtual void vtkPSphereSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkSphereSource.

unsigned long vtkPSphereSource::GetEstimatedMemorySize | ( |  | ) |

| Get the estimated memory size in 1024 bytes

void vtkPSphereSource::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSphereSource.

The documentation for this class was generated from the following file:

- Parallel/vtkPSphereSource.h